Name: kigo
Summary: Igo Game for KDE
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group: Applications/Games
URL: http://www.kde.org/applications/games/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdegames-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Kigo is an open-source implementation of the popular Go game. Go is a strategic
board game for two players. It is also known as igo (Japanese), weiqi o wei ch'i (Chinese)
or baduk (Korean). Go is noted for being rich in strategic complexity despite its simple
rules. The game is played by two players who alternately place black and white stones
(playing pieces, now usually made of glass or plastic) on the vacant intersections of a
grid of 19x19 lines (9x9 or 13x13 for easier games).


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null
	update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/config/%{name}-games.knsrc
%{_datadir}/config/%{name}.knsrc
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%doc %{_docdir}/HTML/en/%{name}/


%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sun Jul 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- initial build
